1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-02-28 18:14:37 +02:00
Files
coreutils/tests/fmt/basic

50 lines
1.4 KiB
Plaintext
Raw Normal View History

2001-03-12 17:49:00 +00:00
#!/bin/sh
# -*- perl -*-
: ${PERL=perl}
: ${srcdir=.}
$PERL -e 1 > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
2001-03-12 17:49:00 +00:00
exit 77
}
2001-03-12 17:49:00 +00:00
# Export this to avoid hassles when run in a UTF-8 locale,
# since we use 8-bit characters below, and those values are
# interpolated into strings (to perform substitution) in Fetish.pm.
LC_ALL=C
export LC_ALL
2001-03-12 17:49:00 +00:00
exec $PERL -w -I$srcdir/.. -MFetish -- - <<\EOF
require 5.003;
use strict;
(my $program_name = $0) =~ s|.*/||;
my @Tests =
(
['8-bit-pfx', qw (-p '<27>'),
{IN=> "<22>a\n<>b\n"},
2001-03-12 21:11:31 +00:00
{OUT=>"<22>a b\n"}],
2001-09-12 09:04:52 +00:00
['wide-1', '-32768', {IN=> "a\n"}, {OUT=>"a\n"}],
['wide-2', '-2147483647', {IN=> "a\n"}, {OUT=>"a\n"}],
2003-05-02 19:20:18 +00:00
['bad-suffix', '-72x', {IN=> ''},
{ERR => "fmt: invalid width option: `-72x'\n"}, {EXIT => 1}],
['no-file', 'no-such-file',
{ERR => "fmt: cannot open `no-such-file' for reading:"
. " No such file or directory\n"}, {EXIT => 1}],
['obs-1', '-c -72',
2003-05-03 20:14:20 +00:00
{ERR => "fmt: invalid option -- 7; -WIDTH is recognized only when it"
. " is the first\noption; use -w N instead\n"
. "Try `fmt --help' for more information.\n" }, {EXIT => 1}],
2001-03-12 17:49:00 +00:00
);
my $save_temps = $ENV{DEBUG};
my $verbose = $ENV{VERBOSE};
my $prog = $ENV{PROG} || die "$0: \$PROG not specified in environment\n";
my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
exit $fail;
EOF